Package de.gebit.integrity.runner.results.call

## Class CallResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.FixtureExecutionResult
    - - de.gebit.integrity.runner.results.call.CallResult

- Direct Known Subclasses:
    `ExceptionResult`, `SuccessResult`, `UndeterminedResult`

      public abstract class CallResult
      extends FixtureExecutionResult

  An abstract base class for call results.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CallResult.UpdatedVariable` | An updated variable.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallResult​(List<CallResult.UpdatedVariable> someUpdatedVariables, FixtureWrapper<?> aFixtureInstance, String aFixtureMethod, Long anExecutionTime, List<ExtendedResultFixture.ExtendedResult> someExtendedResults)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<CallResult.UpdatedVariable>` | `getUpdatedVariables()` |

    - ### Methods inherited from class de.gebit.integrity.runner.results.FixtureExecutionResult

      `getExtendedResults, getFixtureInstance, getFixtureMethod`

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallResult

          public CallResult​(List<CallResult.UpdatedVariable> someUpdatedVariables,
                            FixtureWrapper<?> aFixtureInstance,
                            String aFixtureMethod,
                            Long anExecutionTime,
                            List<ExtendedResultFixture.ExtendedResult> someExtendedResults)

      Creates a new instance.
      Parameters:
        `someUpdatedVariables` - variables updated by the call
        `aFixtureInstance` - The fixture instance (wrapped) - may be null if no fixtures are called in the current phase (for example during the dry run).
        `aFixtureMethod` - the method that was executed
        `anExecutionTime` - the time taken to execute the call
        `someExtendedResults` - any extended results returned by the fixture

  - ### Method Detail

    - #### getUpdatedVariables

          public List<CallResult.UpdatedVariable> getUpdatedVariables()